#ifndef DAEMONSETTINGS_H
#define DAEMONSETTINGS_H

#include "libcommon_global.h"

#include <QSharedPointer>

#include "usersettings.h"
#include "globalsettings.h"


namespace DaemonSettings COMMONSHARED_EXPORT
{
    const QSharedPointer<UserSettings> userSettings(const int uid, const QString& username);
    const QSharedPointer<GlobalSettings> globalSettings();
    const QString rotationPreHookPath();
    const QString rotationPostHookPath();
};

#endif // DAEMONSETTINGS_H
