#ifndef SETTINGS_H
#define SETTINGS_H

#include "libcommon_global.h"

#include <QSettings>


class COMMONSHARED_EXPORT Settings : public QSettings
{
    Q_OBJECT

public:
    explicit Settings(const QString& path, QObject* parent = nullptr);
    virtual ~Settings();

public:
    bool fileExists() const;

protected:
    void checkErrors() const;
};

#endif // SETTINGS_H
